"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateFunction_1 = require("../model/operations/CreateFunction");
class CreateFunctionCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateFunction_1.CreateFunction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateFunctionCommand = CreateFunctionCommand;
//# sourceMappingURL=CreateFunctionCommand.js.map