"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteLayerVersion_1 = require("../model/operations/DeleteLayerVersion");
class DeleteLayerVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteLayerVersion_1.DeleteLayerVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteLayerVersionCommand = DeleteLayerVersionCommand;
//# sourceMappingURL=DeleteLayerVersionCommand.js.map