"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetLayerVersionByArn_1 = require("../model/operations/GetLayerVersionByArn");
class GetLayerVersionByArnCommand {
    constructor(input) {
        this.input = input;
        this.model = GetLayerVersionByArn_1.GetLayerVersionByArn;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetLayerVersionByArnCommand = GetLayerVersionByArnCommand;
//# sourceMappingURL=GetLayerVersionByArnCommand.js.map