"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetLayerVersion_1 = require("../model/operations/GetLayerVersion");
class GetLayerVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = GetLayerVersion_1.GetLayerVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetLayerVersionCommand = GetLayerVersionCommand;
//# sourceMappingURL=GetLayerVersionCommand.js.map