"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const InvokeAsync_1 = require("../model/operations/InvokeAsync");
class InvokeAsyncCommand {
    constructor(input) {
        this.input = input;
        this.model = InvokeAsync_1.InvokeAsync;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.InvokeAsyncCommand = InvokeAsyncCommand;
//# sourceMappingURL=InvokeAsyncCommand.js.map