"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListEventSourceMappings_1 = require("../model/operations/ListEventSourceMappings");
class ListEventSourceMappingsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListEventSourceMappings_1.ListEventSourceMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListEventSourceMappingsCommand = ListEventSourceMappingsCommand;
//# sourceMappingURL=ListEventSourceMappingsCommand.js.map