"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PublishLayerVersion_1 = require("../model/operations/PublishLayerVersion");
class PublishLayerVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = PublishLayerVersion_1.PublishLayerVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PublishLayerVersionCommand = PublishLayerVersionCommand;
//# sourceMappingURL=PublishLayerVersionCommand.js.map