"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RemovePermission_1 = require("../model/operations/RemovePermission");
class RemovePermissionCommand {
    constructor(input) {
        this.input = input;
        this.model = RemovePermission_1.RemovePermission;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RemovePermissionCommand = RemovePermissionCommand;
//# sourceMappingURL=RemovePermissionCommand.js.map