"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateEventSourceMapping_1 = require("../model/operations/UpdateEventSourceMapping");
class UpdateEventSourceMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateEventSourceMapping_1.UpdateEventSourceMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateEventSourceMappingCommand = UpdateEventSourceMappingCommand;
//# sourceMappingURL=UpdateEventSourceMappingCommand.js.map