"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddLayerVersionPermissionInput_1 = require("../shapes/AddLayerVersionPermissionInput");
const AddLayerVersionPermissionOutput_1 = require("../shapes/AddLayerVersionPermissionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const PolicyLengthExceededException_1 = require("../shapes/PolicyLengthExceededException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddLayerVersionPermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddLayerVersionPermission",
    http: {
        method: "POST",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy"
    },
    input: {
        shape: AddLayerVersionPermissionInput_1.AddLayerVersionPermissionInput
    },
    output: {
        shape: AddLayerVersionPermissionOutput_1.AddLayerVersionPermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: PolicyLengthExceededException_1.PolicyLengthExceededException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=AddLayerVersionPermission.js.map