"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteAliasInput_1 = require("../shapes/DeleteAliasInput");
const DeleteAliasOutput_1 = require("../shapes/DeleteAliasOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAlias",
    http: {
        method: "DELETE",
        requestUri: "/2015-03-31/functions/{FunctionName}/aliases/{Name}"
    },
    input: {
        shape: DeleteAliasInput_1.DeleteAliasInput
    },
    output: {
        shape: DeleteAliasOutput_1.DeleteAliasOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteAlias.js.map