"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteEventSourceMappingInput_1 = require("../shapes/DeleteEventSourceMappingInput");
const DeleteEventSourceMappingOutput_1 = require("../shapes/DeleteEventSourceMappingOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEventSourceMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEventSourceMapping",
    http: {
        method: "DELETE",
        requestUri: "/2015-03-31/event-source-mappings/{UUID}"
    },
    input: {
        shape: DeleteEventSourceMappingInput_1.DeleteEventSourceMappingInput
    },
    output: {
        shape: DeleteEventSourceMappingOutput_1.DeleteEventSourceMappingOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        }
    ]
};
//# sourceMappingURL=DeleteEventSourceMapping.js.map