"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteFunctionInput_1 = require("../shapes/DeleteFunctionInput");
const DeleteFunctionOutput_1 = require("../shapes/DeleteFunctionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteFunction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteFunction",
    http: {
        method: "DELETE",
        requestUri: "/2015-03-31/functions/{FunctionName}"
    },
    input: {
        shape: DeleteFunctionInput_1.DeleteFunctionInput
    },
    output: {
        shape: DeleteFunctionOutput_1.DeleteFunctionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        }
    ]
};
//# sourceMappingURL=DeleteFunction.js.map