"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteLayerVersionInput_1 = require("../shapes/DeleteLayerVersionInput");
const DeleteLayerVersionOutput_1 = require("../shapes/DeleteLayerVersionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLayerVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLayerVersion",
    http: {
        method: "DELETE",
        requestUri: "/2018-10-31/layers/{LayerName}/versions/{VersionNumber}"
    },
    input: {
        shape: DeleteLayerVersionInput_1.DeleteLayerVersionInput
    },
    output: {
        shape: DeleteLayerVersionOutput_1.DeleteLayerVersionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteLayerVersion.js.map