"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetFunctionConfigurationInput_1 = require("../shapes/GetFunctionConfigurationInput");
const GetFunctionConfigurationOutput_1 = require("../shapes/GetFunctionConfigurationOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetFunctionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetFunctionConfiguration",
    http: {
        method: "GET",
        requestUri: "/2015-03-31/functions/{FunctionName}/configuration"
    },
    input: {
        shape: GetFunctionConfigurationInput_1.GetFunctionConfigurationInput
    },
    output: {
        shape: GetFunctionConfigurationOutput_1.GetFunctionConfigurationOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=GetFunctionConfiguration.js.map