"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InvokeAsyncInput_1 = require("../shapes/InvokeAsyncInput");
const InvokeAsyncOutput_1 = require("../shapes/InvokeAsyncOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidRequestContentException_1 = require("../shapes/InvalidRequestContentException");
const InvalidRuntimeException_1 = require("../shapes/InvalidRuntimeException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.InvokeAsync = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "InvokeAsync",
    http: {
        method: "POST",
        requestUri: "/2014-11-13/functions/{FunctionName}/invoke-async/"
    },
    input: {
        shape: InvokeAsyncInput_1.InvokeAsyncInput
    },
    output: {
        shape: InvokeAsyncOutput_1.InvokeAsyncOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidRequestContentException_1.InvalidRequestContentException
        },
        {
            shape: InvalidRuntimeException_1.InvalidRuntimeException
        }
    ]
};
//# sourceMappingURL=InvokeAsync.js.map