"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutFunctionConcurrencyInput_1 = require("../shapes/PutFunctionConcurrencyInput");
const PutFunctionConcurrencyOutput_1 = require("../shapes/PutFunctionConcurrencyOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutFunctionConcurrency = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutFunctionConcurrency",
    http: {
        method: "PUT",
        requestUri: "/2017-10-31/functions/{FunctionName}/concurrency"
    },
    input: {
        shape: PutFunctionConcurrencyInput_1.PutFunctionConcurrencyInput
    },
    output: {
        shape: PutFunctionConcurrencyOutput_1.PutFunctionConcurrencyOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutFunctionConcurrency.js.map