"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemovePermissionInput_1 = require("../shapes/RemovePermissionInput");
const RemovePermissionOutput_1 = require("../shapes/RemovePermissionOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemovePermission = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemovePermission",
    http: {
        method: "DELETE",
        requestUri: "/2015-03-31/functions/{FunctionName}/policy/{StatementId}"
    },
    input: {
        shape: RemovePermissionInput_1.RemovePermissionInput
    },
    output: {
        shape: RemovePermissionOutput_1.RemovePermissionOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=RemovePermission.js.map