"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateEventSourceMappingInput_1 = require("../shapes/UpdateEventSourceMappingInput");
const UpdateEventSourceMappingOutput_1 = require("../shapes/UpdateEventSourceMappingOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateEventSourceMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateEventSourceMapping",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/event-source-mappings/{UUID}"
    },
    input: {
        shape: UpdateEventSourceMappingInput_1.UpdateEventSourceMappingInput
    },
    output: {
        shape: UpdateEventSourceMappingOutput_1.UpdateEventSourceMappingOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        }
    ]
};
//# sourceMappingURL=UpdateEventSourceMapping.js.map