"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateFunctionConfigurationInput_1 = require("../shapes/UpdateFunctionConfigurationInput");
const UpdateFunctionConfigurationOutput_1 = require("../shapes/UpdateFunctionConfigurationOutput");
const ServiceException_1 = require("../shapes/ServiceException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ResourceConflictException_1 = require("../shapes/ResourceConflictException");
const PreconditionFailedException_1 = require("../shapes/PreconditionFailedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateFunctionConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateFunctionConfiguration",
    http: {
        method: "PUT",
        requestUri: "/2015-03-31/functions/{FunctionName}/configuration"
    },
    input: {
        shape: UpdateFunctionConfigurationInput_1.UpdateFunctionConfigurationInput
    },
    output: {
        shape: UpdateFunctionConfigurationOutput_1.UpdateFunctionConfigurationOutput
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException
        },
        {
            shape: PreconditionFailedException_1.PreconditionFailedException
        }
    ]
};
//# sourceMappingURL=UpdateFunctionConfiguration.js.map